<html lang="en">
<head>
<title>PSTricks options - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Options.html#Options" title="Options">
<link rel="prev" href="Options.html#Options" title="Options">
<link rel="next" href="TikZ_002fPGF-options.html#TikZ_002fPGF-options" title="TikZ/PGF options">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="PSTricks-options"></a>Next:&nbsp;<a rel="next" accesskey="n" href="TikZ_002fPGF-options.html#TikZ_002fPGF-options">TikZ/PGF options</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Options.html#Options">Options</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Options.html#Options">Options</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h5 class="subsubsection">3.1.5.1 <code>PSTricks</code> options</h5>

<p>When <code>language pstricks</code> is selected (the default), permissible
key-value pairs include all those for similar <code>PSTricks</code> objects. 
For example, a polygon might have the options
<pre class="verbatim">
  [linewidth=1pt,linecolor=blue,fillcolor=cyan]
</pre>
<code>Sketch</code> merely passes these on to <code>PSTricks</code> without
checking or modification.  Option lists are always optional.  A
missing options list is equivalent to an empty one <span class="samp">[]</span>.

   <p>When a <code>polygon</code> has options for both its face and its edges, and
the polygon is split by the hidden surface algorithm, <code>sketch</code>
must copy the edge options to <code>psline</code>s for the edge segments and
the face options to <code>pspolygon</code>s.  Options known to <code>sketch</code>
for purposes of this splitting operation include <code>arrows</code>,
<code>dash</code>, <code>dotsep</code>, <code>fillcolor</code>, <code>fillstyle</code>,
<code>linecolor</code>, <code>linestyle</code>, <code>linewidth</code>, <code>opacity</code>,
<code>showpoints</code>, <code>strokeopacity</code>, and <code>transpalpha</code>.

   </body></html>

